View Issue Details

IDProjectCategoryView StatusLast Update
0024140mantisbtfilterspublic2018-03-31 19:58
ReportercemAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.13.0Fixed in Version2.13.0 
Summary0024140: Application error 401: "ORDER BY clause is not in SELECT list" when sorting by category or project
Description

When i go the the page : "View issues" (in "view_all_bug_page.php"), this message is displayed (cf the screenshot)

<i> Sorry for my porr English </i>

Steps To Reproduce

Connect to Mantis Bug Tracker with my account
Don't select a project and go to "View issues"
==> the error message display

The steps I went through before I encounter the problem and got the error message :
In my account, i did'nt have selected a default project (so it's all)
In View issues, i clic in the column Categories and after the message

Now, if i select a project and go to View Issues ==> It's Ok
Now, if i don't select a project before (so it's "all project" on the header on the right) and after I go to View Issues => It's KO

Additional Information

Version : MantisBT 2.13.0-dev-master-a646ff8 (sorry this version don't exist in available values of the drop-down menu)

TagsNo tags attached.

Activities

cem

cem

2018-03-20 10:01

reporter  

cproensa

cproensa

2018-03-20 11:17

developer   ~0059245

I'll look into it ASAP
Thanks

cproensa

cproensa

2018-03-20 19:21

developer   ~0059250

PR: https://github.com/mantisbt/mantisbt/pull/1319

This affects sorting by category or project.

cem

cem

2018-03-21 04:16

reporter   ~0059259

I don't know if it can help you but when i connect again to MantisBT, i have this message when i go to "View Issues" : (cf screenshot)

<i> (Before I selected the project = mantisbt) </i>



cproensa

cproensa

2018-03-21 04:29

developer   ~0059260

when i connect again to MantisBT, i have this message

Your filter is saved and it fails when trying to perform the query.
I don't know if there's an easier way, but you can reset your filter with:

  • go to "my view" page
  • click on the header of any of those boxes. "view issues" will open with a temporary filter.
  • now that the filter selection box is available use "reset filter" to restore default filter for current project
cem

cem

2018-03-21 04:55

reporter   ~0059263

Thank you for your explications : it's amazing, it's good again !!! Thank you !

Related Changesets

MantisBT: master 74ca8bc6

2018-03-20 19:07:44

cproensa


Committer: atrol Details Diff
Fix order by clause not in select list

Strict sql syntax requires the order by clause to appear in the select
list. Otherwise, some rdbms may fail.
Eg: pgsql, or mysql with sql_mode=ONLY_FULL_GROUP_BY

Fixes: 0024140
Affected Issues
0024140
mod - core/classes/BugFilterQuery.class.php Diff File

Issue History

Date Modified Username Field Change
2018-03-20 10:01 cem New Issue
2018-03-20 10:01 cem File Added: MantisBugTracker_Error#401 in View Issues all Projects.jpg
2018-03-20 11:17 cproensa Assigned To => cproensa
2018-03-20 11:17 cproensa Status new => confirmed
2018-03-20 11:17 cproensa Note Added: 0059245
2018-03-20 11:42 atrol Category bugtracker => filters
2018-03-20 19:13 cproensa Summary Application error # 401 : in View Issues all Projects with this Mantis Bug Tracker => Application error 401: "ORDER BY clause is not in SELECT list" when sorting by category or project
2018-03-20 19:21 cproensa Note Added: 0059250
2018-03-20 19:24 cproensa Status confirmed => assigned
2018-03-21 04:16 cem File Added: MantisBugTracker_Error#401 and error #3065 from database.jpg
2018-03-21 04:16 cem Note Added: 0059259
2018-03-21 04:29 cproensa Note Added: 0059260
2018-03-21 04:55 cem Note Added: 0059263
2018-03-22 13:19 atrol Target Version => 2.13.0
2018-03-23 15:20 atrol Changeset attached => MantisBT master 74ca8bc6
2018-03-23 15:20 cproensa Status assigned => resolved
2018-03-23 15:20 cproensa Resolution open => fixed
2018-03-23 15:20 cproensa Fixed in Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed